SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                ANAG                                  ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/anag.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                         DATE/TIME INFO                               ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SELECT

    CURRENT_DATE,

    CURRENT_TIME,

    CURRENT_TIMESTAMP

FROM RDB$DATABASE;  -- noqa: LXR, PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PAGHE                                 ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/paghe.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



-- Aggiornamento Uniemens 30/12/2024



INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('ESAS', 'Riduzione contributiva ex art 2, DL 15 maggio 2024, n. 63, convertito con legge 12 luglio 2024, n. 101 per Imprese agricole, della pesca e dell''acquacoltura.', NULL, NULL, '1', NULL, NULL);

INSERT INTO INPS_CODCONV (IDCODCONV, DESCRIZIONE, F24CODCONV) VALUES ('EBPM', 'Ente Bilaterale nazionale per le piccole e medie imprese. Circ. n. 112/2024.', NULL);

INSERT INTO CONGCIGSALTCAUS (IDCAUSALE, DESCRIZIONE) VALUES ('L907', 'Conguaglio prestazione sostegno al reddito settore moda D.L. 160/2024. Circolare n. 99/2024.');

INSERT INTO INPS_ATTIVITA (IDINPSATTIVITA, DESCRIZIONE, DATASCADENZA) VALUES ('32', 'Arbitri – UNIArbitri – art. 25, 6ter D.Lgs 36/21. Messaggio n. 4189/2024.', NULL);

INSERT INTO PA_TIPOSERVIZIO (IDTIPOSERVIZIO, DESCRIZIONE) VALUES ('3Y', 'Collocamento fuori ruolo ai sensi della legge 27 luglio 1962, n. 1114, per impiego o incarico temporaneo presso le Istituzioni UE in qualità di agente - Art. 42 del Regime applicabile agli altri agenti dell’Unione Europea.');



COMMIT WORK;



-- Aggiornamento elenco contratti CNEL 30/12/2024 



UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'A045', DESCRIZIONE = 'CCNL per i lavoratori delle aziende del settore Agricoltura, Micro, Piccole e Medie Imprese e Cooperative', IDCNELSETTORE = 'A', CONTRAENTIDATORIALI = 'ANAP; ALIM', CONTRAENTISINDACALI = 'SELP; SLE; ASSOPENSIONATI (per adesione)', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'A045';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('C05D', 'CCNL per i dipendenti da aziende esercenti attività del settore e dipendenti e soci lavoratori da cooperative esercenti attività di Metalmeccanici', 'C', 'PMI ITALIA; PMI ITALIA Professioni APIP; NORD INDUSTRIALE', 'FILA; CSELP; SIA CONFSAL; SELP; FAMAR CIU UNIONQUADRI', NULL);

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('F154', 'CCNL per gli addetti del settore edile e attività affini', 'F', 'PMI ITALIA; PMI ITALIA Professioni APIP; NORD INDUSTRIALE', 'FILA; CSELP; SIA CONFSAL; SELP; FAMAR CIU UNIONQUADRI', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'G369', DESCRIZIONE = 'CCNL per i dipendenti delle Fondazioni Lirico Sinfoniche', IDCNELSETTORE = 'G', CONTRAENTIDATORIALI = 'ANFOLS (assistita da ARAN)', CONTRAENTISINDACALI = 'SLC CGIL; FISTEL CISL; UILCOM UIL; FIALS CISAL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'G369';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H03N', DESCRIZIONE = 'CCNL per i lavoratori dipendenti delle imprese di Commercio, Terziario, Distribuzione, Servizi, Pubblici Esercizi e Turismo', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'ANAP', CONTRAENTISINDACALI = 'SELP; SLE; ASSOPENSIONATI (per adesione)', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H03N';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H682', DESCRIZIONE = 'Contratto Collettivo Nazionale di Lavoro per i dirigenti, quadri, impiegati ed operai dipendenti dei settori del MARKETING OPERATIVO', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'ANPIT; FEDERMARKETING (federazione di ANPIT); UNICA; ATECA (aderente ad ANPIT)', CONTRAENTISINDACALI = 'CISAL Terziario; CISAL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H682';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'HV40', DESCRIZIONE = 'CCNL Servizi di Vigilanza, Investigazioni, Security, Safety e Ausiliari alla Sicurezza', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'AISS; FEDERTERZIARIO; PIUSERVIZI', CONTRAENTISINDACALI = 'UGL SICUREZZA CIVILE; ANCL (assistenza tecnica)', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'HV40';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'I5G1', DESCRIZIONE = 'lavoratori dei porti', IDCNELSETTORE = 'I', CONTRAENTIDATORIALI = 'ASSITERMINAL; ASSOLOGISTICA; ASSOPORTI; FISE UNIPORT', CONTRAENTISINDACALI = 'FILT CGIL; FIT CISL; UILTRASPORTI; ANCIP (parte uditrice)', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'I5G1';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'T277', DESCRIZIONE = 'CCNL Enti di formazione professionale', IDCNELSETTORE = 'T', CONTRAENTIDATORIALI = 'ANCORS', CONTRAENTISINDACALI = 'CIU UNIONQUADRI', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'T277';



COMMIT WORK;



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                END                                   ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS